StarCastRecommend.ReadFiles Class Reference

## Public Member Functions

def | __init__ (self, apr, top, req)
| Constructor that is used to read the CSV files related to the project and store them into Dataframes. More...
def | apply (self)
def | support (self, budget, input_genre)
| This function determines the set of supporting actors as determined by the association rules. More...

## Public Attributes

| apriori
| topactors
| req
| genre_list
| rules
| supporting_actors
| daa

## Detailed Description

    This class is used to read CSV files related to this module, perform preprocessing if necessary, get association rules of the top actors.\ The class then forwards the preprocessed data further to get results according to user input.

## Constructor & Destructor Documentation

## __init__()

def StarCastRecommend.ReadFiles.__init__ | ( |  | self,
|  |  | apr,
|  |  | top,
|  |  | req
| ) |  |

Constructor that is used to read the CSV files related to the project and store them into Dataframes.

Parameters

  apr | String which contains the path of the CSV file output after Apriori algorithm is run.
  topactors | String which contains the path of the CSV file containing the actors/actresses who have worked most in each Genre.
  req | String which contains the path of the CSV file containing relevant information of each actor separately.

## Member Function Documentation

## apply()

def StarCastRecommend.ReadFiles.apply | ( |  | self | ) |

        Function that preprocesses the results from the apriori algorithm. \ It then determines the association rules between various actors/actresses and then writes it to the file rules.csv.

## support()

def StarCastRecommend.ReadFiles.support | ( |  | self,
|  |  | budget,
|  |  | input_genre
| ) |  |

This function determines the set of supporting actors as determined by the association rules.

\ It uses these association rules to determine the supporting actors for the top actor selected randomly.

Parameters

  budget | Total budget of the movie
  input_genre | The genre that the user inputs

The documentation for this class was generated from the following file:

- StarCastRecommend.py